Subject: bug#37242: orgtbl-to-tsv drops empty cell

From: Bastien <[email-masked]>
Date: Mon, 17 Feb 2020 08:31:56 +0100

Hi Tak,

Tak Kunihiro <[email-masked]> writes:

> When org-mode table is converted to tab delimitated text using
> orgtbl-to-tsv, empty cell is dropped out.  I think this is bug.
>
> GNU Emacs 26.3 (build 1, x86_64-w64-mingw32) of 2019-08-29
> runemacs -Q
> (require 'org-table)
> (orgtbl-to-tsv '(("aaa") ("bbb") ("") ("ddd")) nil) ; => "aaa\nbbb\nddd"
> (orgtbl-to-tsv '(("aaa") ("bbb") ("") ("ddd")) '(:backend ascii)) ; => " aaa \n bbb \n     \n ddd "

(orgtbl-to-tsv '(("aaa") ("bbb") ("") ("ddd")) nil) returns the same
output than orgtbl-to-csv, which is to ignore empty *lines* when the
backend is not set ("nil" here).

I don't think this is a bug.

(orgtbl-to-tsv '(("aaa" "AAA") ("bbb" "BBB") ("" "") ("ddd" "DDD")) nil)
returns something sensible.

Let me know if I miss something.

Otherwise I'll close this bug in a month or so.

Thanks,

-- 
 Bastien